$.fn.configureTooltips = function()
{

	if ($.browser.msie  && parseInt($.browser.version, 10) === 7) {
		$('.tooltipVideo').hover(
			function() {
				var videoTitle2 = $(this).children('img').attr('alt');
				var position = $(this).offset();
				$('body').append( $( "<div id='titleie7' class=\"tooltipster-base tooltipster-video\" style=\"top: "+ (position.top - 35)+"px; left: "+ (position.left - 2) +"px;\"><div class=\"tooltipster-content\"><div class=\"inner\"><span class=\"title\">"+ videoTitle2 +"</span></div></div><div class=\"tooltipster-arrow-top tooltipster-arrow\"><span></span></div></div>" ) );
			},
			function() {$('#titleie7').remove();}
		);
	}

	$('.tooltipVideo').tooltipster({
        maxWidth: 196,
        position: "bottom",
        offsetY: -15,
        content: '<span class="title">Loading ...</span>',
        speed: 1,
        delay: 1,
        functionBefore: function(origin, continueTooltip) {
            continueTooltip();

            var videoTitle = origin.children('img').attr('alt');
            var gameVideoUrl = origin.attr('data-gamevideopath');
            var gameVideoWidth = origin.attr('data-gamevideowidth');
            var gameVideoHeight = origin.attr('data-gamevideoheight');
				  
            var element = $('<div />');

            element.flash({
                swf: gameVideoUrl,
                width: gameVideoWidth,
                height: gameVideoHeight,
                wmode: 'transparent'
            });

            var elem_html = '<div class="inner"><span class="title">'+ videoTitle +'</span><div class="flash"><div class="videoIsLoading">Video is loading...</div><div class="gamevideo">'+ element.html() +'</div></div></div>';

            // IE8 fix
            if ($.browser.msie  && parseInt($.browser.version, 10) === 8) {
            	elem_html = '<div class="inner"><span class="title">'+ videoTitle +'</span><div class="flash"><div class="videoIsLoading">Video is loading...</div><div class="gamevideo">';
            	elem_html += '<object data="'+gameVideoUrl+'" type="application/x-shockwave-flash" id="flash_905019600" width="172" height="152"><param name="wmode" value="transparent"><param name="movie" value="'+gameVideoUrl+'"></object>';
            	elem_html += '</div></div></div>';
            }

            origin.tooltipster('update', elem_html);
            // IE8 fix
            if ($.browser.msie  && parseInt($.browser.version, 10) === 8) {
            	$('.tooltipster-content').html(elem_html);
            }
        },
        updateAnimation: false,
        theme: 'tooltipster-video'
    });

    $('.tooltip').tooltipster({
	    maxWidth: 196,
	    position: "bottom",
	    offsetY: -15,
	    content: '<span class="title">Loading ...</span>',
	    functionBefore: function(origin, continueTooltip) {
	    	continueTooltip();
	    	origin.tooltipster('update', '<span class="title">'+ origin.children('img').attr('alt') +'</span>');
	    },
	    updateAnimation: false
    });

}

$(document).ready(function() {
    $().configureTooltips();
    setTimeout(function(){$().configureTooltips()}, 2000);
});